%define lib_major 1
%define api_version 3
%define libname %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	API documentation browser for developers
Name:		devhelp
Version:	3.6.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
URL:		http://live.gnome.org/devhelp
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		devhelp-3.3.91-linking.patch
BuildRequires:	pkgconfig(gconf-2.0) >= 2.6.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.11
BuildRequires:	pkgconfig(gthread-2.0) >= 2.10.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
#for gnome-autogen.sh
BuildRequires:	gnome-common
BuildRequires:	gettext-devel

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{libname}
Summary:	Dynamic libraries for devhelp
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
this package contains dynamic libraries for devhelp.


%package -n %{libnamedev}
Summary:	Development files and headers for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}devhelp-2-devel < %{version}

%description -n %{libnamedev}
This package contains the development files and headers for devhelp.

%package -n %{name}-plugins
Summary:	Gedit Plugins for Devhelp
Group:		Editors
Requires:	gedit

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name '*.la' -delete

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/devhelp.schemas
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/devhelp
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files -n %{libname}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/lib%{name}-3.0.pc
%{_includedir}/devhelp-3.0/

%files -n %{name}-plugins
%{_libdir}/gedit/plugins/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 348733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 318041
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297094
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295391
- new version 3.5.92

* Thu Aug 09 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280195
- update lib major
- new version 3.5.5

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231043
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227057
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219199
- add patch to fix linking
- new version 3.3.91

* Tue Feb 14 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 208801
- clean spec

* Sun Dec 25 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 187499
- new version 3.3.3
- fix summary and description for devel pkg
- clean .spec a bit

* Tue Sep 27 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 149031
- new version 3.2.0

* Sun Sep 18 2011 fwang <fwang> 3.0.0-3.mga2
+ Revision: 145104
- drop .la files

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 110472
- Rebuild against new webkit

  + fwang <fwang>
    - new verison 3.0.0

* Thu Mar 24 2011 boklm <boklm> 2.32.0-3.mga1
+ Revision: 76134
- rebuild for bug #497

* Sun Mar 20 2011 obgr_seneca <obgr_seneca> 2.32.0-2.mga1
+ Revision: 75058
- added buildrequire for libtasn1-devel not checked by configure
- added gnutls buildrequire not checked in configure script
- added BuildRequires for glib2-devel
- imported package devhelp

